pbs.hpp File Reference
`#include <cmath>`
`#include <algorithm>`
`#include <gecode/search/seq/dead.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Search::PbsBuilder< T, E >
| A PBS engine builder. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines
namespace | Gecode::Search::Seq
namespace | Gecode::Search::Par

## Functions

Stop * | Gecode::Search::Seq::pbsstop (Stop *so)
| Create stop object.
Engine * | Gecode::Search::Seq::pbsengine (Engine **slaves, Stop **stops, unsigned int n_slaves, const Statistics &stat, const Search::Options &opt, bool best)
| Create sequential portfolio engine.
Stop * | Gecode::Search::Par::pbsstop (Stop *so)
| Create stop object.
Engine * | Gecode::Search::Par::pbsengine (Engine **slaves, Stop **stops, unsigned int n_slaves, const Statistics &stat, bool best)
| Create parallel portfolio engine.
template<class T, template< class > class E>
Engine * | Gecode::Search::pbsseq (T *master, const Search::Statistics &stat, Options &opt)
template<class T, template< class > class E>
Engine * | Gecode::Search::pbsseq (T *master, SEBs &sebs, const Search::Statistics &stat, Options &opt, bool best)
template<class T, template< class > class E>
Engine * | Gecode::Search::pbspar (T *master, const Search::Statistics &stat, Options &opt)
template<class T, template< class > class E>
Engine * | Gecode::Search::pbspar (T *master, SEBs &sebs, const Search::Statistics &stat, Options &opt, bool best)
template<class T, template< class > class E>
T * | Gecode::pbs (T *s, const Search::Options &o=Search::Options::def)
| Run a portfolio of search engines.
template<class T, template< class > class E>
SEB | Gecode::pbs (const Search::Options &o)